[Overview][Classes][Procedures and functions][Index] | Reference for unit 'DBActns' (#lcl)

# TDataSetPost.UpdateTarget

Enables or disables the action based on the state of the dataset in the target.

## Declaration

Source position: dbactns.pp line 123

`public procedure TDataSetPost.UpdateTarget(`
`Target: TObject`
`); override;`

## Arguments

`Target` |  | DataSource object examined in the method.

## Description

UpdateTarget is an overridden method which enables or disables the database action based on the state of the dataset in the Target object.

UpdateTarget calls the GetDataSet method to retrieve the dataset in the Target datasource. The action is Enabled when the dataset is active, and its State contains a value in the dsEditModes set. This ensures that the action cannot be performed for a dataset that has not been opened, or has not been placed in edit mode.

Please note that UpdateTarget does not check the values for fields in the current record to determine if they have actually been altered.